MB_MODE_INFO_EXT_FRAME Struct Reference

Stores best extended mode information at frame level. More...

`#include <block.h>`

## Data Fields

CANDIDATE_MV | ref_mv_stack [USABLE_REF_MV_STACK_SIZE]
| The reference mv list for the current block.
uint16_t | weight [USABLE_REF_MV_STACK_SIZE]
| The weights used to compute the ref mvs.
uint8_t | ref_mv_count
| Number of ref mvs in the drl.
int_mv | global_mvs [REF_FRAMES]
| Global mvs.
int16_t | mode_context
| Context used to encode the current mode.
uint16_t | cb_offset [PLANE_TYPES]
| Offset of current coding block's coeff buffer relative to the sb.

## Detailed Description

Stores best extended mode information at frame level.

The frame level in here is used in bitstream preparation stage. The information in MB_MODE_INFO_EXT are copied to this struct to save memory.

## Field Documentation

## ref_mv_stack

CANDIDATE_MV MB_MODE_INFO_EXT_FRAME::ref_mv_stack[USABLE_REF_MV_STACK_SIZE]

The reference mv list for the current block.

## weight

uint16_t MB_MODE_INFO_EXT_FRAME::weight[USABLE_REF_MV_STACK_SIZE]

The weights used to compute the ref mvs.

## ref_mv_count

uint8_t MB_MODE_INFO_EXT_FRAME::ref_mv_count

Number of ref mvs in the drl.

## global_mvs

int_mv MB_MODE_INFO_EXT_FRAME::global_mvs[REF_FRAMES]

Global mvs.

## mode_context

int16_t MB_MODE_INFO_EXT_FRAME::mode_context

Context used to encode the current mode.

The documentation for this struct was generated from the following file:

- av1/encoder/block.h